Package com.collibra.dgc.core.api.dto.instance.asset

# Class SetAssetTagsRequest

Object
SetAssetTagsRequest

All Implemented Interfaces:
  `Serializable`

public class SetAssetTagsRequest extends Object implements Serializable
The tags to be set on given asset.

If tag with given names does not exists, it will be created.

If there are any orphan tags after this request is performed (tags that don't belong to any asset) then those tags will be removed.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `SetAssetTagsRequest.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SetAssetTagsRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SetAssetTagsRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `UUID`
  `getAssetId()`
  Required. The ID of the asset.
  `List<String>`
  `getTagNames()`
  Required. The names of the tags to be applied on given asset.
  `int`
  `hashCode()`
  `void`
  `setAssetId(UUID assetId)`
  Required. The ID of the asset.
  `void`
  `setTagNames(List<String> tagNames)`
  Required. The names of the tags to be applied on given asset.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SetAssetTagsRequest

    public SetAssetTagsRequest()

- ## Method Details

  - ### builder

    public static SetAssetTagsRequest.Builder builder()

  - ### getAssetId

    public UUID getAssetId()
    Required. The ID of the asset.

  - ### getTagNames

    public List<String> getTagNames()
    Required. The names of the tags to be applied on given asset.

  - ### setAssetId

    public void setAssetId(UUID assetId)
    Required. The ID of the asset.

  - ### setTagNames

    public void setTagNames(List<String> tagNames)
    Required. The names of the tags to be applied on given asset.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`